Bug 346161 - Review Request: xorg-x11-drv-ivtv - Xorg X11 ivtv video driver
Review Request: xorg-x11-drv-ivtv - Xorg X11 ivtv video driver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 346171
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 20:24 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-03-06 15:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 15:11:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-22 20:24:28 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/xorg-x11-drv-ivtv/xorg-x11-drv-ivtv-1.0.0-1.fc7.kwizart.src.rpm
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/xorg-x11-drv-ivtv/xorg-x11-drv-ivtv-1.0.0-1.fc7.kwizart.src.rpm
Description: Xorg X11 ivtv video driver

This xorg driver needs testing and ivtv-firmware to be submitted...
kernel module is part of the kernel but it seems there is some problem with vanilla 2.6.23 kernels and some userland apps (mythtv) - See the README included

Anyway, that Xorg part are supposed to be compatible with any ivtv drivers from >= 0.2.
Comment 2 Jason Tibbitts 2007-10-23 01:36:29 EDT
This is a basic xorg driver; nothing fancy.  rpmlint is silent and everything
looks good.  I have the firmware in a local repo so that this will install
properly for me, but I don't have the hardware to test this on.

You might want to flesh out the description just a little bit if possible. 
Specifically, it would be nice to know which boards are supported.  It looks
like it only works with the PVR350; I'm not sure that the other boards have a
framebuffer or even do any output.

* source files match upstream:
   e98a2ed67fea25ab7f94eecb5a53a2d3a3c42de93557d77d774fa18d311c807a  
   xf86-video-ivtv-1.0.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description is OK (might be nice to include a little more info)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   ivtv_drv.so()(64bit)
   xorg-x11-drv-ivtv = 1.0.0-1.fc8
  =
   ivtv-firmware
   xorg-x11-server-Xorg >= 1.3.0.0-6

* %check is not present; I've no way to test this package.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Nicolas Chauvet (kwizart) 2007-10-23 07:33:17 EDT
New Package CVS Request
=======================
Package Name:      xorg-x11-drv-ivtv
Short Description: Xorg X11 ivtv video driver
Owners:            kwizart
Branches:          F-8 F-7
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 4 Kevin Fenzi 2007-10-23 13:14:52 EDT
cvs done.
Comment 5 Nicolas Chauvet (kwizart) 2008-03-06 15:11:56 EST
Ok libpciaccess and another patch fixed upstream.
Closing to next release

Note You need to log in before you can comment on or make changes to this bug.